# Config

```lua
TZMCVendingConfig = {}

TZMCVendingConfig.UseAnimation = true
TZMCVendingConfig.InventoryLabel = "Vending Machine"

TZMCVendingConfig.UseAnimationDrinking = true
TZMCVendingConfig.UsingConsumables = true -- If you're using a QBCore version from late August you may need to use QBCore's newer version of consumables. Enabling this uses this new version of consumables within the script instead of the old way.

-- TARGET TEXT --

TZMCVendingConfig.SodaTargetLabel = 'Soda'
TZMCVendingConfig.CoffeeTargetLabel = 'Coffee'
TZMCVendingConfig.SnacksTargetLabel = 'Snacks'
TZMCVendingConfig.WaterTargetLabel = 'Water'
TZMCVendingConfig.DrinkTargetLabel = 'Drink'

-- PROGRESS BAR --

TZMCVendingConfig.UseProgressBar = true
TZMCVendingConfig.ProgressBarTime = 3000
TZMCVendingConfig.ProgressBarLabel = "Accessing Vending Machine"

TZMCVendingConfig.UseProgressBarDrinking = true
TZMCVendingConfig.ProgressBarTimeDrinking = 5000
TZMCVendingConfig.ProgressBarLabelDrinking = "Drinking"

-- VENDING MACHINE MODELS --

TZMCVendingConfig.SodaModels = {
    "prop_vend_soda_01",
    "prop_vend_soda_02",
    "prop_vend_fridge01"
}

TZMCVendingConfig.CoffeeModels = {
    "prop_vend_coffe_01",
}

TZMCVendingConfig.SnackModels = {
    "prop_vend_snak_01",
}

TZMCVendingConfig.WaterModel = {
    "prop_vend_water_01",
}

TZMCVendingConfig.WatercoolerModel = {
    "prop_watercooler",
    "prop_watercooler_dark"
}

-- VENDING MACHINE ITEMS --

TZMCVendingConfig.Beverage = {
    { name = "kurkakola", price = 2, amount = 50 },
    { name = "water_bottle", price = 2, amount = 50 },
    { name = "beer", price = 7, amount = 50 },
}

TZMCVendingConfig.Coffee = {
    { name = "coffee", price = 2, amount = 50 }
}

TZMCVendingConfig.Water = {
    { name = "water_bottle", price = 2, amount = 50 }
}

TZMCVendingConfig.Snacks = {
    { name = "tosti", price = 2, amount = 50 },
    { name = "twerks_candy", price = 7, amount = 50 },
    { name = "snikkel_candy", price = 7, amount = 50 },
    { name = "sandwich", price = 7, amount = 50 },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/vending-machine-and-watercooler/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
